megasasctl(1)

NAME
megasasctl - diagnostics on megaraid adapters and attached disks.

SYNOPSIS
megasasctl [-vest] [-H] [-l log-page-nr] [-T long|short] [target ...]

Reports diagnostics on megaraid adapters and attached disks. Permits dumping of controller log pages for inspection of error, temperature, and self-test conditions, initiates self-test diagnostics, and documents adapter and logical drive configuration. Target devices may be adapters, (e.g. a0), enclosures (e.g. a0e0), or individual disks (e.g. a0e0s0). If no target is specified, reports configuration and drive state on all adapters. If a target matches a collection of disks, operations are applied to all matching devices. Options are:

-v  Increase program verbosity.

-e  Dump read (0x03), write (0x02), and verify (0x05) error log pages.

-s  Dump self-test (0x10) log page.

-t  Dump temperature (0x0d) log page.

-l page
    Dump the specified log page. Log page 0 documents the log pages the device supports.

-p  Do not report physical disks. Reports only adapters and logical drives. Useful for concisely documenting adapter configuration.

-T test
    Initiate the background short or long self-test procedure. The test may take up to an hour to complete, but does not inhibit access to the device. The test may be monitored using the -s option.

-H  Perform an adapter health check. Inspects state of all logical and physical drives and battery backup unit and reports problem conditions. If all is well, generates no output. Useful in a cron job.

-B  When performing health check, do not treat battery problems as failures.

-V  Show version.

N.B. The background long self test is a useful tool for diagnosing problems with individual disks. But be cautious with program usage. "megasasctl -T long" with no targets will initiate a background long self test on every drive on every adapter. This may not be what you want.

By default, the health check option inspects log pages 0x02, 0x03, and 0x05 for uncorrected read, write, and verify errors, 0x0d for excess temperature conditions, and 0x10 for failed self tests. If, however, any of the log page options is specified, only the designated log pages are inspected.

This program requires the device file /dev/megaraid_sas_ioctl_node to be present on the system. If your system does not have this device file, you may create it either by executing LSI's "MegaCli" program once, or by locating the megadev_sas_ioctl entry in /proc/devices and creating /dev/megaraid_sas_ioctl_node as a character device with suitable permissions with a matching major device number and a minor number of 0.